%define major   2
%define libname %mklibname %{name} %major
%define	devname	%mklibname -d %{name}

Name:		bluez
Summary:	Official Linux Bluetooth protocol stack
Version:	3.36
Release:	%mkrel 1
License:	GPLv2+
Group:		Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://bluez.sourceforge.net/
Source0:	http://bluez.sourceforge.net/download/%{name}-libs-%{version}.tar.gz

%description
These are the official Bluetooth communication libraries for Linux.

%package -n	%{libname}
Summary:	Official Linux Bluetooth protocol stack
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-sdp
Obsoletes:	%{name}-sdp
Provides:	lib%{name}-sdp2
Obsoletes:	lib%{name}-sdp2

%description -n	%{libname}
These are the official Bluetooth communication libraries for Linux.

%package -n	%{devname}
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Obsoletes:	lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Provides:	%{name}-sdp-devel
Obsoletes:	%{name}-sdp-devel
Obsoletes:	%{libname}-devel

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%prep
%setup -q -n bluez-libs-%{version}

%build
%configure2_5x	--libdir=/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/%{_lib}/pkgconfig
install -m644 bluez.pc -D  %{buildroot}%{_libdir}/pkgconfig/bluez.pc

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/lib*.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_includedir}/bluetooth
%{_includedir}/bluetooth/*.h
/%{_lib}/*.so
/%{_lib}/*.la
/%{_lib}/*.a
%{_libdir}/pkgconfig/bluez.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Sat Aug 02 2008 Emmanuel Andry <eandry@mandriva.org> 3.36-1mdv2009.0
+ Revision: 260785
- New version

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.35-1mdv2009.0
+ Revision: 231283
- New version

* Sun Jun 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.34-1mdv2009.0
+ Revision: 230082
- New version 3.34

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Funda Wang <fundawang@mandriva.org> 3.32-1mdv2009.0
+ Revision: 214627
- update to new version 3.32

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.31-1mdv2009.0
+ Revision: 204512
- New version 3.31

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 3.28-1mdv2008.1
+ Revision: 180967
- Release 3.28

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 3.27-1mdv2008.1
+ Revision: 174389
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.26-1mdv2008.1
+ Revision: 165112
-Release 3.26

* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 3.25-1mdv2008.1
+ Revision: 161743
- New version

* Tue Dec 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.24-1mdv2008.1
+ Revision: 137802
- New bugfix release

* Thu Dec 20 2007 Adam Williamson <awilliamson@mandriva.com> 3.23-1mdv2008.1
+ Revision: 135962
- new license policy
- new release 3.23

* Sat Nov 10 2007 Jérôme Soyer <saispo@mandriva.org> 3.22-1mdv2008.1
+ Revision: 107312
- New release

* Wed Oct 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.20-1mdv2008.1
+ Revision: 96915
- New version 3.20

* Mon Aug 27 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.15-1mdv2008.0
+ Revision: 71793
- new release: 3.15

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-6mdv2008.0
+ Revision: 63901
- bah

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-4mdv2008.0
+ Revision: 63839
- bah, fix path headers

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-3mdv2008.0
+ Revision: 63827
- fix location of library

* Wed Aug 15 2007 Funda Wang <fundawang@mandriva.org> 3.14-2mdv2008.0
+ Revision: 63671
- fix upgrading

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.14-1mdv2008.0
+ Revision: 63509
- new release: 3.14

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 3.13-1mdv2008.0
+ Revision: 58035
- drop pkgconfig buildrequires, it's required by rpm-mandriva-setup-build
- 3.13

* Fri May 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.11-1mdv2008.0
+ Revision: 31134
- new version

* Thu May 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.10-1mdv2008.0
+ Revision: 26147
- New version 3.10

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.9-2mdv2008.0
+ Revision: 20512
- build requires pkg-config for proper pkgconfig automatic dependencies computation


* Mon Jan 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.9-1mdv2007.0
+ Revision: 114833
- New version 3.9

* Tue Dec 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-2mdv2007.1
+ Revision: 102080
-x Rebuild

* Mon Dec 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-1mdv2007.1
+ Revision: 102036
- New Version 3.8
- New release 3.7
- bluez-3.4-2mdv2007.0
- Fix rpmlint warnings
- Import bluez

* Sun Aug 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.4-1mdv2007.0
- New release 3.4

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 3.2-1mdv2007.0
- 3.2

* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.1-1
- New release 3.1

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Fix major

* Tue Jun 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-1mdv2007.0
- New release 3.0

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.25-1mdk
- New release 2.25

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.24-1mdk
- New release 2.24

* Mon Dec 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.23-1mdk
- New release 2.23

* Tue Nov 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.22-1mdk
- New release 2.22

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.21-1mdk
- New release 2.21

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-3mdk
- Revert previous changes

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-2mdk
- Cosmetics

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-1mdk
- New release 2.19

* Tue Jul 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.18-1mdk
- New release 2.18

* Wed May 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.17-1mdk
- New release 2.17
- Drop P0 ( Merged upstream )

* Tue May 10 2005 Pascal Terjan <pterjan@mandriva.org> 2.16-2mdk
- include stdio in bluetooth.h (P0)

* Sat Apr 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.16-1mdk
- 2.16
- Drop Patch0 ( Merged upstream )

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-2mdk 
- Patch0 (CVS): add removed calls needed by libbtctl

* Sat Jan 15 2005 Austin Acton <austin@mandrake.org> 2.14-1mdk
- 2.14
- fix summaries
- add automake macro

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-1mdk
- Release 2.10
- Move to /%%{_lib}, needed for initscript

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.9-1mdk
- Release 2.9

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 2.8-1mdk
- 2.8
- add pkgconfig file

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- configure 2.5

* Sun May 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Obsoletes bluez-sdp libs

* Sat May 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

